org.apache.http.client.entity

## Class DeflateInputStreamFactory

- java.lang.Object
- - org.apache.http.client.entity.DeflateInputStreamFactory

- All Implemented Interfaces:
    InputStreamFactory

      @Contract(threading=IMMUTABLE)
      public class DeflateInputStreamFactory
      extends Object
      implements InputStreamFactory

  `InputStreamFactory` for handling Deflate Content Coded responses.
  Since:
    4.5.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeflateInputStreamFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `create(InputStream inputStream)`
    `static DeflateInputStreamFactory` | `getInstance()` Gets the singleton instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeflateInputStreamFactory

          public DeflateInputStreamFactory()

  - ### Method Detail

    - #### getInstance

          public static DeflateInputStreamFactory getInstance()

      Gets the singleton instance.
      Returns:
        the singleton instance.

    - #### create

          public InputStream create(InputStream inputStream)
                             throws IOException

      Specified by:
        `create` in interface `InputStreamFactory`
      Throws:
        `IOException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.